Skip to main content
System Global Type/System Error Code Operations

GetElaborations

GetElaborations

GET/zstack/v1/errorcode/elaborations

Operation ID

GetElaborations

Since

3.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • category
    String

    Optional. The error code category, which is consistent with resource or service category, such as HOST.

  • regex
    String

    Optional. The error code keyword.

  • code
    String

    Optional. The error code, which is used with the error code category.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • contents
    ListRequired

    See contents.

    • category
      StringRequired

      The error code category.

    • code
      StringRequired

      The error code.

    • regex
      StringRequired

      The error code keyword.

    • message_cn
      StringRequired

      The error code message in Chinese.

    • message_en
      StringRequired

      The error code message in English.

    • source
      StringRequired

      The source of the error.

    • method
      StringRequired

      The matching method, including distance (string comparison) and regex (regular expression).

    • distance
      DoubleRequired

      If you use distance to do the match, this parameter will be the precision. Note: '1' is the best precision.